跳转到主要内容
GET
/api/v1/characters

实验性端点

这是一个实验性端点,可能会发生变化。

Postman 集合

如需更多示例,请参阅此 Postman 集合

授权

Authorization
string
header
必填

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

查询参数

categories
string[]

Filter by category names. Repeat the parameter for multiple values. Comma-separated values are also accepted.

Maximum array length: 20
Maximum string length: 100
示例:
isAdult
enum<string>

Filter by adult content flag

可用选项:
true,
false
示例:

"false"

isPro
enum<string>

Filter to only show characters using pro models

可用选项:
true,
false
示例:

"false"

isWebEnabled
enum<string>

Filter to only show web-enabled characters

可用选项:
true,
false
示例:

"true"

limit
integer
默认值:50

Number of characters to return (max: 100)

必填范围: 0 < x <= 100
示例:

50

modelId
string[]

Filter by model ID(s). Repeat the parameter for multiple values. Comma-separated values are also accepted.

Maximum array length: 20
Maximum string length: 200
示例:
offset
integer | null
默认值:0

Number of characters to skip for pagination

必填范围: x >= 0
示例:

0

Search characters by name, description, or tags. Hashtag search is supported.

Maximum string length: 200
示例:

"assistant"

sortBy
enum<string>

Sort results using a supported character discovery mode

可用选项:
featured,
highestRating,
highlyRated,
highlyRatedAndRecent,
imports,
mostRecent,
ratingCount
示例:

"imports"

sortOrder
enum<string>

Sort order applied to the selected sort mode. Defaults to descending when omitted.

可用选项:
asc,
desc
示例:

"desc"

tags
string[]

Filter by tag names. Repeat the parameter for multiple values. Comma-separated values are also accepted.

Maximum array length: 20
Maximum string length: 100
示例:

响应

OK

data
object[]
必填
object
enum<string>
必填
可用选项:
list